###############################################################################
####  spooler.sh shell script executed by dcclp                            ####
###############################################################################
####                                                                       ####
####   Sixteen parameters are passed and placed in variable names          ####
####                                                                       ####
####   1 -- The exit code (0 or 1) 0 = OK 1 = Bad outcome                  ####
####   2 -- The exit reason                                                ####
####        00 -- OK                                                       ####
####        01 -- security init failed                                     ####
####        02 -- dcclp can't determine user                               ####
####        03 -- invalid LP Plus Destination                              ####
####        04 -- security violation                                       ####
####        05 -- invalid time parameter                                   ####
####        06 -- invalid data type                                        ####
####        07 -- "-?" parameter in command line                           ####
####        08 -- cancelled or interrupted                                 ####
####        09 -- can't get RID number                                     ####
####        10 -- request unavailable                                      ####
####        11 -- invalid switch dest                                      ####
####   3 -- The request ID RIDnnnn                                         ####
####   4 -- The destination name                                           ####
####   5 -- Page count of report                                           ####
####   6 -- Copies requested                                               ####
####   7 -- Form ID                                                        ####
####   8 -- User name                                                      ####
####   9 -- Request priority                                               ####
####  10 -- Data Type                                                      ####
####  11 -- Print control name                                             ####
####  12 -- Lines per page                                                 ####
####  13 -- Size of report in bytes                                        ####
####  14 -- Modification (y = modifying existing request, n = new request) ####
####  15 -- Report Title                                                   ####
####  16 -- FlexForm name                                                  ####
####                                                                       ####
####  Environment variables set                                            ####
####                                                                       ####
####  LPHOME --  the LP Plus home directory                                ####
####                                                                       ####
####    Following code stores parameters 1 - 16 in local variables         ####
####                                                                       ####
exitcode=$1
exitreason=$2
reqid=$3
dest=$4
pages=$5
copies=$6
form=$7
user=$8
priority=$9
shift
datatype=$9
shift
printcontrol=$9
shift
lines=$9
shift
reportsize=$9
shift
modification=$9
shift
title=$9
shift
flexform=$9
####                                                                      ####
####    user code here                                                    ####
####                                                                      ####
exit 0
