                PRINTER CONFIGURATION MENU\0\n
The Printer Configuration menu is where printers are created\0\n
changed and deleted.  A printer must be disabled before any\0\n
changes can be made.  Press the "?" key in any of the fields for\0\n
help on the field.  Press <F4> or <CNTL> + F + 4 for choices where\0\n
choices are available.  After creation or modification the\0\n
printer must be updated (<F3> or <CNTL> + F + 3) for changes to \0\n
take effect.  After adding or modifying a printer, the printer must\0\n
be enabled before anything will print on it.  The LP Plus scheduler\0\n
(dccsched) does not need to be stopped and restarted.\0\n
ffff
                SYSTEM DEFAULTS MENU\0\n
The System Defaults menu is where system wide default parameters\0\n
are setup.  Defaults such as timeouts, interfaces, destination,\0\n
spool queue size and others are all set up through this menu option.\0\n
The scheduler must be stopped and restarted before any\0\n
changes take effect.  Press the "?" key in any of the fields for\0\n
help on the field.  Press <F4> or <CNTL> + F + 4 for choices where\0\n
choices are available.  Any modifications to the system defaults\0\n
must be updated (<F3> or <CNTL> + F + 3) for changes to take effect.\0\n
ffff
                PRINTER CLASS MENU\0\n
The Printer Class menu is where printer classes are created\0\n
changed and deleted.  A printer class is a group of printers\0\n
that are printed to based upon the printers availability (e.g.\0\n
enabled or disabled) and the number of requests in the queue.\0\n
Requests are sent to a class the same way they are sent to any\0\n
other destination.  Classes can be used for load balancing or \0\n 
for fault tolerance.   Press the "?" key in any of the fields for\0\n
help on the field.  Press <F4> or <CNTL> + F + 4 for choices where\0\n
choices are available.  After creation or modification the\0\n
printer class must be updated (<F3> or <CNTL> + F + 3) for changes to\0\n
take effect.\0\n
ffff
                SECURITY MENU\0\n
Introduction\0\n
\0\n
With so much functionality and easy access to print reports, security\0\n
with LP Plus becomes more of an issue than with the standard UNIX lp\0\n
system (you could never view reports with lp).  Security with LP Plus\0\n
is based on printer permissions models and groups of users.  If  a user\0\n
is not described in the security system the default permissions model\0\n
dictates what the user can perform on all printers.  When LP Plus\0\n
first installs the default permissions model allows unrestricted use.\0\n
By adding a user to the security system, they can only access the\0\n
printers assigned to their group and only perform the functions\0\n
described in the permissions model applied to the printers.  A user\0\n
can only be in one security group at a time (a group can consist of\0\n
one user or many users).  \0\n
\0\n
Before attempting to set up security it is best to write down who\0\n
the users are, what printers the users need access to, what\0\n
functions the users need to perform, and what other users (if any)\0\n
have the same needs.  Based on this information, it should be\0\n
relatively easy to take this information and apply it to LP Plus\0\n
security.\0\n
ffff
                      FORMS MENU\0\n
The Forms menu .llows you to choose between a standard LP Plus form \0\n
and a FlexForm form.  FlexForm forms are electronic forms which you\0\n
may create for any HP compatable printer and have downloaded auto-\0\n
matically by LP Plus at print time.  Standard forms are merely definiions\0\n
of form names and optionally how many lines per page are on each form.\0\n
A download file may also be specified within the standard form definition\0\n
to allow any special escape sequences, etc. to be sent to the printer\0\n
prior to printing the report.  To specify a form name when a file gets\0\n
spooled you must add the "-f formname" option to the lp command line.\0\n
The form associated with a report may also be changed from within the\0\n
dccstat program.  If a form name is specified, LP Plus will determine\0\n
whether it is a standard form or FlexForm definition.  The report will\0\n
not print until the proper form is mounted on the printer.\0\n
ffff
                  PRINT CONTROL FILE MENU\0\n
The Print Control File menu is where printer control files are\0\n
created, changed and deleted.    Print control files are used\0\n
to set a printer into a special mode prior to printing and to\0\n
reset a printer after printing.  By defining a print control name\0\n
(e.g. landscape or compressed) and associating a preload and \0\n
an optional postload with it.  Printers can be put into special\0\n
modes on a per request basis.  The preload and postload files\0\n
contain printer control (escape sequences) commands.  Control\0\n
files can be sent with all request to a destination by default by\0\n
naming the control file the same as the destination name.  Press\0\n
the "?" key in any of the fields for help on the field.  Press\0\n
<F4> or <CNTL> + F + 4 for choices where choices are available.\0\n
After creation or modification the printer control file must be\0\n
updated (<F3> or <CNTL> + F + 3) for changes to take effect.\0\n
ffff
                 TRANSLATION TABLE MENU\0\n
The Translation Table menu is where translation tables are\0\n
created, changed and deleted.  Translation tables are used to\0\n
convert data from application to printer.  This is done\0\n
on a per character basis.  An example would be to convert all\0\n
lowercase characters to uppercase.  Translation tables are \0\n
selected in the printer configuration menu. Press the "?" key in\0\n
any of the fields for help on the field.  Press <F4> or <CNTL>\0\n
+ F + 4 for choices where choices are available.  After creation or \0\n
modification the translation table must be updated\0\n
(<F3> or <CNTL> + F + 3) for changes to take effect.\0\n
ffff
                      SYSTEM MESSAGES\0\n
Selecting this menu option will allow you to enter any of the LP Plus\0\n
system messages that appear in the message log ($LPHOME/messages/messages)\0\n
and will give back a small explanation of the meaning behind that\0\n
message, its possible causes, and what to do next.  It is a good idea\0\n
to check each of these if things go wrong for possible answers before\0\n
calling support.\0\n
ffff
                      SYSTEM REGISTRATION\0\n
Each copy of LP Plus is shipped to work for 30 days and unlimited\0\n
printers.  Beyond the 30 days the product will need to be registered\0\n
with your account rep on a number of printers basis.  In other words\0\n
you may license LP Plus for 4 printers, 12 printers, etc.  Once the\0\n
product has been licensed you may add printers up to the amount\0\n
licensed.  If you need to license more printers, contact your sales\0\n
rep on how to aquire new enable codes.\0\n
ffff
                      SYSTEM INFORMATION\0\n
The system information option will give you specific information about\0\n
this installation of LP Plus.   The value of LPHOME will show the \0\n
directory where LP Plus was installed.  Version will show the release\0\n
id for this copy of LP Plus.  Current spool files will show the total\0\n
number of report files in the spooler at this instant.  The value of\0\n
maximum spool files shows what LP Plus is currently configured to hold\0\n
in memory.  If the value of current spool files approaches that of\0\n
maximum spool files, increase the value for maximum spooled files\0\n
by selecting system defaults under the setup menu.  The printers\0\n
configured field will show how many printers you currently have\0\n
created.  The License field will show how many printers you have\0\n
currently registered this copy of LP Plus for.  If you need to increase\0\n
the number of printers beyond this licensed amount, contact your\0\n
LP Plus sales rep for more information.\0\n
ffff 
                      START/STOP dccsched\0\n
The dccsched option is where the scheduler is started and stopped.\0\n
The current state of the scheduler is the opposite of the menu\0\n
selection.  If the menu choice is to "Stop dccsched" this\0\n
means the scheduler is currently started.  Press return to stop\0\n
and start the scheduler.  NOTE: Because the time varies for\0\n
stopping and starting the scheduler the change may not take\0\n
effect immediatly.\0\n
ffff
                     START/STOP dcclpdser\0\n
The dcclpdser option is where the network daemon is started and stopped.\0\n
The current state of the daemon is the opposite of the menu\0\n
selection.  If the menu choice is to "Stop dcclpdser" this\0\n
means the daemon is currently started.  Press return to stop\0\n
and start the daemon.  NOTE: Because the time varies for\0\n
stopping and starting the network daemon the change may not take\0\n
effect immediatly.  This daemon process is the equivalent of the\0\n
lp systems network daemon.  LP Plus will not be able to receive a\0\n
spoolfile from another system unless this daemon is running.  The\0\n
lp daemon and the LP Plus daemon can not be running at the same time.\0\n
Check your system's documentation if you need to stop/disable the\0\n
lp daemon.  Printing to other systems is handled by the filter program\0\n
so it is unaffected by whether this daemon is up or down.  This\0\n
daemon uses the BSD style of lpd printing to communicate with the\0\n
other system or device.\0\n
ffff
                     START/STOP dccbkst\0\n
The dccbkst option is where the background network status daemon is\0\n
started and stopped.  The current state of the daemon is the opposite\0\n
of the menu selection.  If the menu choice is to "Stop dccbkst" this\0\n
means the daemon is currently started.  Press return to stop\0\n
and start the daemon.  NOTE: Because the time varies for\0\n
stopping and starting this daemon the change may not take\0\n
effect immediatly.  This daemon allows other LP Plus host systems and\0\n
WINPRINT systems to get status information about reports and printers\0\n
on this local host.  If you do not have multiple unix hosts running\0\n
LP Plus and don't have any WINPRINT clients, do not start this daemon.\0\n
Refer to the sceurity subsystem for how to secure this host from any\0\n
remote users.\0\n
ffff
                     EXIT\0\n
This option will terminate the dccadmin program and return you to the\0\n
unix prompt.\0\n
ffff
                     CLASS NAME\0\n
Enter the name of the class to be created or modified.  Press\0\n
<F4> or <CNTL + F + 4> for choices.  After selecting or creating a\0\n
class name use the space bar to mark the printer destinations\0\n
that will be in the class.  Press help "?" from the Printer\0\n
Class Definitions main menu for additional information on\0\n
classes.\0\n
ffff
                     FORM NAME\0\n
Enter the name of the form to be created or modified.  Press\0\n
<F4> or <CNTL + O> for choices.  Press help "?" from the Forms\0\n
main menu for additional information on forms.\0\n
ffff
                     LINES PER PAGE\0\n
Enter the number of lines per page.  The default is 66.  The\0\n
number of lines per page is only used for LP Plus to count pages.\0\n
If the print request has paper control (form feeds) these will \0\n
override the lines per page value.\0\n
ffff
                     USE FORM DOWNLOAD FILE\0\n
Enter whether or not to enable a download file with this form.\0\n
Press <F4> or <CNTL + O> for choices.  The default is "n".  If\0\n
selected, the form download file in the following field will be\0\n
sent to the printer before the request whenever this form is\0\n
used.\0\n
ffff
                     FORM DOWNLOAD FILENAME\0\n
Enter the complete path to the file that is to be sent to the\0\n
printer when this form is used.  After updating, LP Plus will\0\n
copy the file to the $LPHOME/forms/form_name/download and\0\n
use this file to send to the printer before the request.\0\n
ffff
                     PRINT CONTROL NAME\0\n
Enter the name of the print control to be created or modified.\0\n
Press <F4> or <CNTL + O> for choices.  Press help "?" from the\0\n
Print Control Files main menu for additional information on \0\n
print control files.\0\n
ffff
                     USE PRELOAD FILE\0\n
Enter whether or not to enable a preload file with this print\0\n
control name.  Press <F4> or <CNTL + O> for choices.  The default\0\n
is "y".  If selected, the preload file in the following field\0\n
will be sent to the printer before the request whenever this \0\n
print control name is used.\0\n
ffff
                     PRELOAD FILE NAME\0\n
Enter the complete path to the file that is to be sent to the\0\n
printer (preloaded) when this print control name is used.  After\0\n
updating, LP Plus will copy the file to the $LPHOME/prtcntl\0\n
/print_control_name/preload and use this file to send to the\0\n
printer before the request.\0\n
ffff
                     USE POSTLOAD FILE\0\n
Enter whether or not to enable a postload file with this print\0\n
control name.  Press <F4> or <CNTL + O> for choices.  The default\0\n
is "y".  If selected, the postload file in the following field\0\n
will be sent to the printer after the request whenever this \0\n
print control name is used.\0\n
ffff
                     POSTLOAD FILE NAME\0\n
Enter the complete path to the file that is to be sent to the\0\n
printer (postloaded) when this print control name is used.  After\0\n
updating, LP Plus will copy the file to the $LPHOME/prtcntl\0\n
/print_control_name/postload and use this file to send to the\0\n
printer after the request.\0\n
ffff
                     STANDARD FORMS\0\n
The Standard option is where forms are created, changed, and deleted. \0\n
A form with LP Plus can be defined through the forms menu or be\0\n
nothing more than a name associated with a print request. \0\n
Defining a form through the forms menu allows the number of lines\0\n
on the form to be specified and a form download file to be named.\0\n
Form download files can be used to "flash" a printer form to\0\n
a printer prior to printing the spooled report.  Press the "?"\0\n
key in any of the fields for help on that field.  Press <F4>\0\n
or <CNTL> + F + 4 for choices where choices are available.  After\0\n
creation or modification the form must be updated (<F3> or\0\n
<CNTL> + F + 3) for changes to take effect.\0\n
ffff
                     ADVANCED FORMS\0\n
The two types of forms used with LP Plus are standard and advanced\0\n
forms.  Standard forms are used as described above.  They are used\0\n
primarily to ensure the correct paper is loaded in the printer.\0\n
Standard forms can also be used to send a download file to the\0\n
printer prior to the print job.  These are used to send special\0\n
commands to the printer (Refer to Printer Control File Management\0\n
later in Part 3 for detailed information on printer control sequences).\0\n
\0\n
The other type of form is called advanced.  This type of form is\0\n
used to segment reports (split them to multiple printers), apply\0\n
multipart FlexForm electronic forms to segments, split reports\0\n
into even segments automatically and to print multiple copies of\0\n
reports to different printers simultaneously.  Both forms are\0\n
accessed using the "dcclp -f form_name" command line or from the\0\n
Status and Control menu "dccstat".  Below is a description for\0\n
configuring both.   \0\n
ffff
dccsched - initialization complete !\0\n
ffff
dcclpdser - initialization complete !\0\n
ffff
dccbkst - initialization complete !\0\n
ffff
dccsched starting!\0\n
ffff
dcclpdser starting!\0\n
ffff
dccbkst starting!\0\n
ffff
dccsched initialization has failed\0\n
ffff
dcclpdser initialization has failed\0\n
\0\n
The SYS V.4 system has an lpd daemon that receives print jobs from remote\0\n
hosts on socket 515. Only one lpd daemon can have control of socket 515.\0\n
If the standard lpd daemon is running then the LP Plus daemon (dcclpdser)\0\n
will not start. The procedure to stop the standard lpd daemon and start\0\n 
the LP Plus (dcclpdser) daemon follows:\0\n
\0\n
The LP Plus (dcclpdser) daemon won't start because another unix process\0\n
has posted a tcp listen on socket 515.\0\n
\0\n
You can start or stop the tcp listener by typing the following\0\n
nlsadmin commands.\0\n
\0\n
  nlsadmin -k tcp      # Stops the tcp listener\0\n
  nlsadmin -s tcp      # Starts the tcp listener\0\n
  nlsadmin -x          # Reports the status of all of the listener\0\n
                         processes installed on this machine.\0\n
\0\n
1. Stop the system tcp listener;\0\n
        enter (nlsadmin -k tcp) at the command prompt.\0\n
2. Start the LP Plus lpd daemon; \0\n
        enter (dcclpdser) at the command prompt.\0\n
3. Start the system tcp listener: \0\n
        enter (nlsadmin -s tcp) at the command prompt.\0\n
\0\n
Prevent the standard lpd from starting at boot time. Go to the \0\n
/etc/saf/tcp directory.\0\n
vi the _pmtab file and insert a (#) sign in front of the lpd line.\0\n
\0\n
Start the LP Plus lpd daemon at boot time.\0\n
  In $LPHOME/shells you will find S80lpd+. Copy the S80lpd+ file\0\n
  to the /etc/rc2.d directory. This will allow the LP Plus lpd daemon\0\n
  to start at boot time.\0\n
\0\n
  (netstat) will show you if socket 515 is being used (state = LISTEN)\0\n
\0\n
ffff
dccbkst initialization has failed\0\n
ffff
dccsched - shutdown in progress!\0\n
ffff
dcclpdser - shutdown in progress!\0\n
ffff
dccbkst - shutdown in progress!\0\n
ffff
                     VALIDATION CODE\0\n
The LP Plus system is distributed on a 30 day evaluation basis.  At the\0\n
end of 30 days the system will expire and no longer print.  If you wish\0\n
to enable the product you must license the required number of printers\0\n
from your LP Plus provider.  This provider will ask you for the serial\0\n
number shown above on the screen and the number of printers to register.\0\n
Enter the validation codes you will be given and the system will be\0\n
enabled.  You should never need to enable the system again unless you\0\n
want to increase the number of printers.  Call your LP Plus account\0\n
rep for any further questions.\0\n
ffff
The program was unable to OPEN the registration file.  This is usually\0\n
the result of executing this registration option before the LP Plus\0\n
scheduler has ever been started.  The registration file is created by\0\n
the scheduler the first time it is executed.  Start the scheduler through\0\n
the Services menu and then try the Registration option again.  Contact\0\n
your LP Plus support organization if the problem persists.\0\n
ffff
The program was unable to READ the registration file.  This is usually\0\n
the result of executing this registration option before the LP Plus\0\n
scheduler has ever been started.  The registration file is created by\0\n
the scheduler the first time it is executed.  Start the scheduler through\0\n
the Services menu and then try the Registration option again.  Contact\0\n
your LP Plus support organization if the problem persists.\0\n
ffff
The existing registration file on your system is corrupted.  Contact\0\n
your LP Plus account rep to help resolve the problem\0\n
ffff
You have just tried to enable the LP Plus system for a smaller number\0\n
of printers than you already have configured.  Delete the proper number\0\n
of printers through the printer configuration menu and then try the\0\n
registration option again.\0\n
ffff
                   TRANSLATION TABLE NAME\0\n
Enter the name of the translation table to be created or modified.  Press\0\n
<F4> or <CNTL + O> for choices.  The translation table will then need\0\n
to be attached to a printer destination before any character conversion\0\n
will take place.  The translate function will convert any one character\0\n
to another.  It will not traslate a string.  You may attach the translation\0\n
table to a printer either through the dccstat module or the printer\0\n
configuration option of dccadmin.\0\n
ffff
                      SYSTEM MESSAGES\0\n
Enter the LP Plus system message you wish to receive information about.\0\n
Most of these messages wiil appear in the system log.  After entering\0\n
the message id (ex: LPP014I), some text will be displayed about the\0\n
message itself describing the conditions under which you would receive\0\n
this message.  Procedures to correct the problem are also given where\0\n
apprpriate and possible\0\n
ffff 
                     USE PRECOPY FILE\0\n
Enter whether or not to enable a precopy file with this print\0\n
control name.  Press <F4> or <CNTL + O> for choices.  The default\0\n
is "n".  If selected, the precopy file in the following field\0\n
will be sent to the printer before each copy of the report is printed. \0\n
This file is sent after the banner but before the report data.\0\n
ffff
                     PRECOPY FILE NAME\0\n
Enter the complete path to the file that is to be sent to the\0\n
printer (preloaded) when this print control name is used.  After\0\n
updating, LP Plus will copy the file to the $LPHOME/prtcntl\0\n
/print_control_name/precopy and use this file to send to the\0\n
printer before the request.  This file will be sent after the banner but\0\n
before each copy of the report.\0\n
ffff
                     USE POSTCOPY FILE\0\n
Enter whether or not to enable a postcopy file with this print\0\n
control name.  Press <F4> or <CNTL + O> for choices.  The default\0\n
is "n".  If selected, the postcopy file in the following field\0\n
will be sent to the printer after each copy of the report has finished. \0\n
ffff
                     POSTCOPY FILE NAME\0\n
Enter the complete path to the file that is to be sent to the\0\n
printer (postloaded) when this print control name is used.  After\0\n
updating, LP Plus will copy the file to the $LPHOME/prtcntl\0\n
/print_control_name/postcopy and use this file to send to the\0\n
printer after each copy of the report has printed.\0\n
ffff
                  HTML INTERFACE REGISTRATION\0\n
Each copy of LP Plus is shipped with an HTML interface which will work\0\n
for 30 days.  Beyond the 30 days the product will need to be registered\0\n
with your account rep.  The 30 days will start from the first time you\0\n
actually use the interface, not from the installation date of LP Plus.\0\n
Contact your LP Plus account rep for further assistance.\0\n
ffff
                     VALIDATION CODE\0\n
The HTML Interface is distributed on a 30 day evaluation basis.  At the\0\n
end of 30 days the interface will expire and no longer work.  If you wish\0\n
to enable the product you must obtain license codes from your LP Plus\0\n
provider.  This provider will ask you for the serial number shown above\0\n
on the screen.  Enter the validation codes you will be given and the\0\n
interface will be permantently enabled. Contact your LP Plus account rep\0\n
for any further assistance.\0\n
ffff
                      SYSTEM HEALTH CHECK\0\n
The system health check option will attempt to verify the integrity of\0\n
the LP Plus system.  Directories, files, permissions, and file contents\0\n
will all be checked for validity.  You will be given the option at the \0\n
beginning of the process to select whether any errors should be \0\n
automatically corrected.  Any unfixable errors will be listed at the end\0\n
of the process.  Contact your LP Plus support organization if an error\0\n
is detected which you can not resolve.\0\n
ffff
The program was unable to OPEN the registration file.  This is usually\0\n
the result of executing this registration option before using the\0\n
HTML interface.  The registration file is created by dccbkst the first\0\n
time the HTML interface is used.  Start the dccbkst module through\0\n
the Services menu and then try the HTML interface through your web\0\n
browser.  After you have sucessfully used the HTML interface one time\0\n
try the registration option again.  Contact your LP Plus support\0\n
organization if the problem persists.\0\n
ffff
The program was unable to READ the HTML registration file.  Contact\0\n
your LP Plus support organization for further assistance.\0\n
ffff
The existing registration file on your system is corrupted.  Contact\0\n
your LP Plus account rep to help resolve the problem\0\n
ffff
                    ACCOUNT LOG REPORTING \0\n
LP Plus has a built in accounting system for jobs printed.  This \0\n
feature is disabled by default but may be turned on through the\0\n
dccadmin program by selecting the System Defaults menu option.\0\n
All printing records will be written to the $LPHOME/messages/acctlog\0\n
file.  The file layout can be found in the LP Plus manual.\0\n
The LP Plus Acctlog Reporting system is a simple report generator for\0\n
the acctlog file.  This is an interactive program which will allow you\0\n
to select which fields you want in the report as well as the size for \0\n
each field.  Totals may be calculted for appropriate fileds.  You may \0\n
also select one field on which to do a page break if the data in that\0\n
field changes.  The report will automatically be displayed to your \0\n
screen and optionally can be saved in a disk file.\0\n
ffff
