DEFAULT PRINTER NAME\0\n
Enter the system default  printer destination. Press <F4> or\0\n
<CNTL + F + 4> for choices.  The default destination is where\0\n
print request are spooled when the destination parameter\0\n
(-d printer_destination) is not used when submitting a request. \0\n
ffff
DEFAULT FORM\0\n
Enter the form name that should be used for this printer if no\0\n
other is specified with a print request.  This can be either an\0\n
arbitrary form name of one specified through the LP Plus forms\0\n
menu.  Each print request submitted to a print destination has an\0\n
associated form name.  The default is "stock".  All print requests\0\n
will have the form name you enter unless it is overridden using\0\n
the (-f form_name).\0\n
ffff
HOLD ALL REQUESTS\0\n
Enter whether or not all print requests should be placed on\0\n
hold.  Press <F4> or <CNTL + F + 4> for choices.  The default is\0\n 
"n".  Enter "y" if you want all requests to require an operator\0\n 
to release each request before they can print.  This has the\0\n
same effect as the hold (-H hold) option being placed on every\0\n
print request.\0\n
ffff
PURGE ALL REQUESTS\0\n
Enter whether or not all print requests should be purged after\0\n
printing.  Press <F4> or <CNTL + F + 4> for choices.  The default is\0\n 
"y.  Enter "n" if you want all requests to remain in the queues\0\n
after printing.  This has the same effect as a no purge option\0\n
(-o nopurge) being placed on every print request.\0\n
ffff
PURGE DELAY TIME\0\n
Enter the amount of time in seconds for requests to remain in\0\n
the queues after printing.  The default is 300 seconds.\0\n
ffff
NETWORK DEVICE RETRY TIME\0\n
Enter the amount of time in seconds for LP Plus to try printing\0\n
to a network printer before assuming there is a problem.  The\0\n
default is 300 seconds.  After the time has expired LP Plus will\0\n
disable the printer.\0\n
ffff
MAXIMUM NUMBER OF REQUESTS TO RESERVE SHARED MEMORY FOR\0\n
Enter the maximum number of requests for LP Plus to get shared\0\n
memory for.  The default is 500 requests.  The maximum value is\0\n
9999.  When the LP Plus scheduler comes up it will reserve\0\n
shared memory for the maximum number of requests that may be\0\n
in the LP Plus queues at any time.  The formula for calculating\0\n
the memory required is shared_memory = (max_request * 340) +12.\0\n
ffff
FORM MOUNT MESSAGE INTERVAL\0\n
Enter the amount of time in seconds between form mount\0\n
messages.  The default is 120 seconds.  This determines the \0\n
delay between messages sent to the console (or a users terminal)\0\n
for a request needing a form change.\0\n
ffff
NUMBER OF FORM MOUNT MESSAGES\0\n
Enter the maximum number of form mount messages to be issued\0\n
for a request requiring a form change.  The default is 5.  This\0\n
determines the number of messages sent to the console\0\n
(or a users terminal) for a request needing a form change.\0\n
ffff
NOTIFY USER OF FORM MOUNT BY MAIL\0\n
Enter whether or not to send the user a mail message when \0\n
their request requires a form change.  Press <F4> or <CNTL + F + 4>\0\n
for choices.  The default is "n".  If  selected, the user who\0\n
submitted the request will receive a mail message whenever\0\n
a form mount message is issued.\0\n
ffff
TIME TO RETRY PRINTING BEFORE DISABLING THE PRINTER\0\n
Enter the amount of time in seconds for LP Plus to wait before\0\n
disabling the printer after it goes off-line.  The default is\0\n
5399 seconds (90 minutes).  If a printer goes off-line while\0\n 
printing (runs out of paper, jams, etc...) LP Plus will wait\0\n
until the printer comes back on-line and begin printing\0\n
again or if the retry value expires LP Plus will disable the\0\n
printer.\0\n
ffff
TIME TO TRY TO START PRINTING BEFORE DISABLING\0\n
Enter the amount of time in seconds for LP Plus to try to open\0\n
a printer port before disabling the printer.  The default is\0\n
90 seconds.  If a printer is off-line before printing begins\0\n
LP Plus will try to print the time specified before disabling\0\n
the printer.\0\n
ffff
ACCOUNTING SUBSYSTEM\0\n
Enter a y to enable the accounting subsystem.  A record is added to the\0\n
$LPHOME/messages/acctlog file for each print request that is printed.\0\n
A record will be present for each report printed and each copy of that\0\n
report.  In the case of network printing, all copies will show on one\0\n
accounting record (e.g. a 10 page document with 10 copies printed to a\0\n
network device will show 100 pages printed).  The accounting record\0\n
contains 10 string fields delimited by the comma character.  Each record\0\n
contains:\0\n
   1.  Date and Time Stamp\0\n
   2.  Request ID\0\n
   3.  User Name\0\n
   4.  Destination\0\n
   5.  Report Title\0\n
   6.  Form Name\0\n
   7.  Number of Pages (zero if page counting not done -- graphics)\0\n
   8.  Number of Characters\0\n
   9.  Print Time in Seconds\0\n
   10. Exit Code (0 is good)\0\n
ffff
DEFAULT TERMINFO TYPE\0\n
Enter the default terminfo type that appears when adding a new\0\n
printer.  The default is "dumb". This can speed things up when\0\n
adding many printers of the same type.\0\n
ffff
DEFAULT BAUD RATE\0\n
Enter the default baud rate that appears when adding a new\0\n
printer.  Press <F4> or <CNTL + F + 4> for choices. The default is\0\n
9600. This can speed things up when adding many printers of
the same type.\0\n
ffff
DEFAULT BITS PER CHARACTER\0\n
Enter the default number of character bits that appears when\0\n
adding a new printer.  Press <F4> or <CNTL + F + 4> for choices.\0\n
The default is 7. This can speed things up when adding many\0\n
printers of the same type.\0\n
ffff
DEFAULT NUMBER OF STOP BITS\0\n
Enter the default number of stop bits that appears when\0\n
adding a new printer.  Press <F4> or <CNTL + F + 4> for choices.\0\n
The default is 1. This can speed things up when adding many\0\n
printers of the same type.\0\n
ffff
DEFAULT PARITY\0\n
Enter the default parity type that appears when adding a new\0\n
printer.  Press <F4> or <CNTL + F + 4> for choices.  The default is\0\n
even. This can speed things up when adding many printers of the\0\n
same type.\0\n
ffff
DEFAULT FLOW CONTROL\0\n
Enter the default flow control type that appears when adding\0\n
a new printer.  Press <F4> or <CNTL + F + 4> for choices.\0\n
The default is software. This can speed things up when adding many\0\n
printers of the same type.\0\n
ffff
DEFAULT INTERFACE SCRIPT\0\n
Enter the default printer interface that appears when adding\0\n
a new printer.  Press <F4> or <CNTL + F + 4> for choices.\0\n
The default is lpstandard. This can speed things up when adding\0\n
many printers of the same type.\0\n
ffff
