PRINTER NAME\0\n
Enter the name you wish to use for this printer.  This name will\0\n
be referred to as the destination name from this point forward.\0\n
This name represents the logical name for this printer, not the \0\n
physical device name.  A typical name might be "accounting" or \0\n
"hplaser".  Special characters should not be used.\0\n
ffff
PRINTER MODE\0\n
Select the mode for this printer.  <F4> or <CNTL + F + 4> will\0\n
give you the full list of supported types.\0\n
SERIAL: A serial connected printer. \0\n
PARALLEL: A parallel connected printer.\0\n
DIRECTORY: An existing  directory for printing.\0\n
SYSTEM: A printer connected to another host.\0\n
FASTPORT/P: A printer connected to a FastPort parallel port.\0\n
FASTPORT/S: A printer connected to a FastPort serial port. \0\n
ANNEX3: A printer connected to am Annex3 terminal server.\0\n
PIPE: A printer accessed through a named pipe.\0\n
SCSI: A printer connected to the scsi bus.\0\n
NETPRINT: A network printer using lpd/lpr. (e.g. HP JetDirect)\0\n
TERMSERV: A printer on a terminal server.\0\n
TELNET: A network printer using the telnet protocol.\0\n
LPPLUS: A printer on a host with LP Plus installed.\0\n
ffff
PRINTER DEVICE\0\n
Enter the fully qualified pathname or system name for the\0\n
printer.  Below are examples of devices for each mode.\0\n
SERIAL:  "/dev/term/001", "/dev/tty01" \0\n
PARALLEL: "/dev/lp0", "/dev/lp1"\0\n
DIRECTORY: "/reports",  "/printsave", "/home/bob/reports"\0\n
SYSTEM: "remote_host!remote_printer", "dcc!accounting1"\0\n
FASTPORT/P: check vendor documentation.\0\n
FASTPORT/S: check vendor documentation.\0\n
ANNEX3: check vendor ducumentation.\0\n
PIPE: "/dev/pipe_name"\0\n
SCSI: "/dev/dsk/c0t2d0s0"\0\n
LMCLIENT: determined by LanMan \0\n
NETPRINT: "printer_host_name" (needs entry in /etc/hosts file)\0\n
TERMSERV: "termserver_host_name!port_address", "eqnx2!4008"\0\n
LPPLUS: "remote_host!remote_printer", dcc!mfg2"\0\n
ffff
PRINTER TERMINFO TYPE\0\n
Enter the terminfo type for the printer.  The default of ""dumb"\0\n
will work with most printers.  Change the terminfo type only if\0\n
your application takes advantage of the terminal information\0\n
database.  Terminal information types can be found on most\0\n
systems in the "/usr/lib/terminfo" directory.\0\n
ffff
BANNER PAGE\0\n
Enter whether or not a banner page should be printed for each\0\n
request on this printer.  The default is "y".\0\n
ffff
SLEEP TIME\0\n
Enter the number of seconds for LP Plus to wait to close the\0\n
printer port after a request completes.  The default of 5\0\n
seconds will work with most printers.  The symptoms of \0\n
requiring a longer sleep time would be if the last pages of\0\n
a print request are lost.  This can occur when the printers\0\n
buffer is not finished printing and a second print request is\0\n
sent to the printer.\0\n
ffff
DEFAULT FORM\0\n
Enter the form name that should be used for this printer if no\0\n
other is specified with a print request.  This can be either an\0\n
arbitrary form name of one specified through the LP Plus forms\0\n
menu.  Each print request submitted to a print destination has an\0\n
associated form name.  The default is "stock".  All print requests\0\n
will have the form name you enter unless it is overridden using\0\n
the (-f form_name).\0\n
ffff
PURGE TIME\0\n
Enter the time in seconds for the purge delay time for this printer.\0\n
The LP Plus scheduler will wait this many seconds after printing a\0\n
report on this printer before deleting the file.  This delay is specific\0\n
to this printer only.\0\n
ffff
BAUD RATE\0\n
Enter the line speed for the serial printer.  Press <F4> or\0\n
<CNTL + O> for choices.\0\n
ffff
BITS PER CHARACTER\0\n
Enter the number of data bits for the serial printer.  Press <F4>\0\n
or <CNTL + O> for choices.\0\n
ffff
STOP BITS\0\n
Enter the number of stop bits for the serial printer.  Press <F4>\0\n
or <CNTL + O> for choices.\0\n
ffff
PARITY\0\n
Enter the parity type for the serial printer.  Press <F4> or\0\n
<CNTL + O> for choices.\0\n
ffff
FLOW CONTROL \0\n
Enter the flow control type for the serial printer.  Press <F4> or\0\n
<CNTL + O> for choices.  The default is "software".  With \0\n
software selected the stty parameters "-ixon" and "-ixany" are set.\0\n
With hardware flow control selected the stty parameter "-ctsxon"\0\n
is set.  When "both" is selected all three stty parameters are set.\n
ffff
INTERFACE\0\n
Enter the printer interface to use for the printer.  Press <F4> or\0\n
<CNTL + O> for choices.  The default is determined by the mode\0\n
selected.  The interface selected (from the $LPHOME/model\0\n
directory) is copied to "$LPHOME/interfaces/printer_name" when\0\n
the printer is created.\0\n
ffff
FILE BREAK\0\n
Enter whether or not a form feed should be sent to the printer.\0\n
after each print request. Press <F4> or <CNTL + O> for choices.\0\n.
The default is "y".  This can be used to eject the last page out\0\n
of a laser printer.\0\n
ffff
COPY BREAK\0\n
Enter whether or not a form feed should be sent to the printer\0\n
between copies.  Press <F4> or <CNTL + O> for choices.  The\0\n.
default is "y".\0\n
ffff
TRANSLATE (LF) TO (CR/LF)\0\n
Enter whether or not linefeed characters should be converted to\0\n
carriage return/linefeed.  Press <F4> or <CNTL + O> for choices.\0\n.
The default is "n".  This is used when printing from a UNIX\0\n
application to a DOS printer.  If this is not set correctly only\0\n
a single line will print.\0\n
ffff
TRANSLATION TABLE\0\n
Enter the translation table to use for the printer. Press\0\n.
<F4> or <CNTL + O> for choices.  The default is standard\0\n.
(no translation).  Translation tables are used to convert\0\n
characters from application to printer.  An example would\0\n
be to convert all lower case to upper case characters.  See\0\n
the translation table section of the LP Plus Administration\0\n
menu for more details on translation tables.\0\n
ffff
ATTACH DEVICE FOR PRINTER MESSAGES\0\n
Enter the device where printer messages should be sent.  The\0\n
default is the console.  The device can be any terminal device,\0\n
a users logon ID, or the complete path to a file name.  An \0\n
example would be to attach a users terminal to a printer so\0\n
that all messages (form mounts, attention required, etc...) will\0\n
be sent to the user.\0\n
ffff
SECOND FILTER\0\n
Enter the second filter to use for the printer.  There is no\0\n.
default.  The filter can be any program that accepts standard\0\n
input.  An example of usage would be to send the output of a\0\n
print destination to another program or through a special lp\0\n
filter.\0\n
ffff
THIRD FILTER\0\n
Enter the third filter to use for the printer.  There is no\0\n.
default.  The filter can be any program that accepts standard\0\n
input.  An example of usage would be to send the output of a\0\n
print destination to another program or through a special lp\0\n
filter.\0\n
ffff
LP Plus PCAP FILE\0\n
Enter the LP Plus PCAP file to be used for this printer.  The PCAP\0\n
file is a text file containing a predefined set of codes/language \0\n
for this printer type.  For example, the code to change the printers\0\n
orientation from portrait to landscape will be defined in this file.\0\n
If no PCAP file which matches your printer type was supplied to you\0\n
see the LP Plus documentation for rules on how to set up a new PCAP\0\n
file yourself.  You may also specify "none" for no PCAP.  The options\0\n
defined in the PCAP file will be suported through the use of "-o"\0\n
parameters on the lp command line.  This is a very powerful and versatile\0\n
part of LP Plus.  For specific rules and usage instructions, refer to\0\n
the LP Plus documentation.\0\n
ffff
URL Address\0\n
Many printers these days have a direct interface into the printer device.\0\n
This interface may give configuration and or status information back\0\n
to the user as it exists in the printer.  An example might be to see that\0\n
the printer is running low on toner, or possibly which paper tray is set\0\n
to the default.  You should enter into this field the proper command for\0\n
the LP Plus HTML module to use for you to communicate to the printer.\0\n
This field will be used only by the HTML interface, the CMD field below\0\n
will be used for the same purpose by the other interfaces (dccstat).\0\n
An exapmple entry would be http://100.100.100.100.  Not all printers\0\n
support this type of communication yet so if you are unsure, set this\0\n
field to the default of "none".\0\n
ffff
CMD1\0\n
Many printers these days have a direct interface into the printer device.\0\n
This interface may give configuration and or status information back\0\n
to the user as it exists in the printer.  An example might be to see that\0\n
the printer is running low on toner, or possibly which paper tray is set\0\n
to the default.  You should enter into this field the proper command for\0\n
the LP Plus dccstat module to use for you to communicate to the printer.\0\n
This field will not be used by the HTML interface, the URL field above\0\n
will be used for the same purpose by the HTML interface.\0\n
An exapmple entry would be "telnet printer 2048".  Not all printers\0\n
support this type of communication yet so if you are unsure, set this\0\n
field to the default of "none".\0\n
ffff
XCMD\0\n
Many printers these days have a direct interface into the printer device.\0\n
This interface may give configuration and or status information back\0\n
to the user as it exists in the printer.  An example might be to see that\0\n
the printer is running low on toner, or possibly which paper tray is set\0\n
to the default.  You should enter into this field the proper command for\0\n
the LP Plus dccxstat module to use for you to communicate to the printer.\0\n
This field will not be used by the HTML interface or the character\0\n
based dccstat module.  The above fields apply to those interfaces.\0\n
An exapmple entry would be "telnet printer 2048".  Not all printers\0\n
support this type of communication yet so if you are unsure, set this\0\n
field to the default of "none".\0\n
ffff
COMMENTS\0\n
You may enter any comments you wish to describe this printer.  This \0\n
information can be very helpful for finding a printer at a specific\0\n
location or finding a specific type of printer, etc.  The dccstat program\0\n
gives you the option of searching this field for locating a printer via\0\n
the lookup option on the printer screen.\0\n
ffff
