#################   Interface Event Script   ####################
####
####  The interface.sh script is executed when each request is terminated.
####
####  The following environment variables are available to
####  this script:
####     BANNER
####     CHARSET
####     COLS
####     CONTROL_NAME
####     COPIES
####     COPYBREAK
####     DATATYPE
####     EXIT_CODE
####     EXIT_FILE
####     FILE
####     FILEBREAK
####     FILTER
####     FORM_NAME
####     HOST
####     LF_TO_CRLF
####     LINES
####     LPHOME
####     OPTION_LIST
####     PRINTER
####     RAW
####     REQUEST_ID
####     RESTART
####     TITLE
####     USER
####     WPN

##
##  Check WinPrint notification
##
if [ "$WPN" = "yes" ]
then
    #
    # 1 - Host        : Required
    # 2 - Message     : Either supply your message or arguments 3 through 7
    # 3 - Request ID  : If you supply your own message, arguments 3 through 7
    # 4 - Printer     : are not required.  
    # 5 - Exit Status
    # 6 - Title
    # 7 - User
    # 
    $LPHOME/bin/dccwinnotify \
       ${HOST} "" ${REQUEST_ID} ${PRINTER} ${EXIT_CODE} ${TITLE} ${USER} ${HOST}
fi
exit 0
###############################################################################
