##############################################################################
##################  Purge Event script   #####################################
###                                                                        ###
##       Parameters available:                                              ##
##                                                                          ## 
##                  $1 - Queue Entry to be deleted                          ##
##                  $2 - Report Entry to be deleted                         ##
##                  $3 - Index Entry to be deleted                          ##
##                  $4 - Page count file to be deleted                      ##
##                                                                          ##
##       The following environment variables are available:                 ##
##                                                                          ##
##          LPHOME - LP Plus home directory                                 ##
##          PRINTER - Printer on which the request was printed              ##
##          FORM_NAME - The form specified for this request                 ##
##          TITLE - The title for this request                              ##
##          ARCHIVE - y or n for archive yes or no,                         ##
##                      u for archive uncompressed                          ##
##          KEEP - y or n if ARCHIVE is y this variable says whether or     ##
##                 not to prevent purgeing of the archived file.            ##
###                                                                        ###
##############################################################################
    RESULT=0 
    if [ "$ARCHIVE" != "n" ]
    then
        $LPHOME/bin/dccarchive $1 $2 $3 $ARCHIVE $KEEP
        RESULT=$?
    fi
####   see if archived OK or ARCHIVE was "n"    #############################
    if [ "$RESULT" = "0" ] 
    then
        rm $1 $2 $3 $4
    fi
    exit 0
##############################################################################
